Create Live Asset
A live asset refers to a media content/video that is live-streamed through Gumlet. This endpoint creates a live streaming asset allowing users to live stream a video that will be pushed to Gumlet.
Body
application/json
- Type: stringlive
_source _id requiredGumlet live video source/collection id.
- Type: stringresolutionrequired
Required resolutions in HLS delivery format for live stream. Can be an array of string out of the following values:
240p,360p,480p,540p,720p, and1080p. Re-sized rendition will retain the input aspect ratio. - Type: booleanmp4
_access Creates
MP4version for download purpose. - Type: string enumorientationvalues
- landscape
- potrait
- Type: string Format: date-timestart
_at the date-time notation as defined by RFC 3339, section 5.6, for example, 2017-07-21T17:32:28Z
- Type: stringtitle
Your live stream asset title
Responses
- application/json
- application/json
- application/json
Request Example for post/video/live/assets
curl https://api.gumlet.com/v1/video/live/assets \
--request POST \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"live_source_id": "",
"resolution": "",
"title": "",
"mp4_access": true,
"orientation": "landscape",
"start_at": ""
}'
{
"status": "created",
"stream_key": "68c3da5947f9ad0c0d513fe3",
"live_asset_id": "68c3da5947f9ad0c0d513fe2",
"live_video_source_id": "67e4ecea403562dbea654269",
"input": {
"resolution": [
"360p",
"480p",
"720p",
"240p",
"1080p"
],
"title": "gumlet-stream"
},
"stream_url": "rtmp://44.245.28.195:1935/app/68c3da5947f9ad0c0d513fe3",
"output": {
"playback_url": "https://stream.gumlet.io/67e4ecea403562dbea654269/68c3da5947f9ad0c0d513fe2/main.m3u8",
"recording_playback_url": "https://video.gumlet.io/6867815b6410daa283f85532/68c3da5947f9ad0c0d513fe4/main.m3u8",
"recording_dash_playback_url": "https://video.gumlet.io/6867815b6410daa283f85532/68c3da5947f9ad0c0d513fe4/main.mpd"
},
"vod_asset_id": "68c3da5947f9ad0c0d513fe4",
"created_at": 1757665882451,
"updated_at": 1757665882451
}
